"use strict";

const ValidationError = require("@validatem/error");
const isRegex = require("is-regex");

module.exports = function (regex) {
	if (isRegex(regex)) {
		return function (value) {
			if (!regex.test(value)) {
				throw new ValidationError(`Must match format: ${regex}`);
			}
		};
	} else {
		throw new Error(`You must specify a regex to match against`);
	}
};
